Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 678254 - =sys-devel/gcc-8.2.0-r6 stabilization
Summary: =sys-devel/gcc-8.2.0-r6 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on: 678642 681932
Blocks:
  Show dependency tree
 
Reported: 2019-02-17 21:49 UTC by Sergei Trofimovich
Modified: 2019-10-27 12:05 UTC (History)
3 users (show)

See Also:
Package list:
sys-devel/gcc-8.2.0-r6
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich gentoo-dev 2019-02-17 21:49:33 UTC
=sys-devel/gcc-8.2.0-r6 stabilization bug. Not CC-ing arches just yet as I'd like to give a heads up to wider audience first.
Comment 1 Sergei Trofimovich gentoo-dev 2019-02-23 11:05:43 UTC
Sent announcement to gentoo-dev@ and #gentoo-toolchain a few days ago:
    https://archives.gentoo.org/gentoo-dev/message/c26a84f69a2951d9f8225e95a529a9aa

No opposition so far :)

I plan to go through all the packages reported fixed against gcc-8 at
    https://bugs.gentoo.org/show_bug.cgi?id=gcc-8
and file stablereqs for packages that still fail.
Comment 2 Sergei Trofimovich gentoo-dev 2019-02-23 18:50:11 UTC
I think we are ready. Arches, please stabilize
    =sys-devel/gcc-8.2.0-r6
for KEYWORDS
    alpha amd64 arm arm64 hppa ia64 m68k ppc ppc64 s390 sh sparc x86
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-23 19:36:58 UTC
amd64 stable
Comment 4 Thomas Deutschmann gentoo-dev Security 2019-02-24 16:53:45 UTC
x86 stable
Comment 5 am1 2019-02-26 01:25:19 UTC
Hey, i'm not sure if this is the right place for reporting this.

=sys-devel/gcc-8.2.0-r6 should not be marked as stable on amd64.

After migrating from gcc-7.3.0-r3 to gcc-8.2.0-r6 and rebuilding libtool, @system and @world, my 3rd-party service can't be launched anymore.

Feb 24 20:41:14 localhost kernel: traps: hlds_linux[6596] general protection ip:f7c825ba sp:ffbe8afc error:0 in libc-2.27.so[f7bcb000+1de000]

Tried using sandbox-2.15 by unmasking (thread https://forums.gentoo.org/viewtopic-t-1090722-start-0.html) doesn't fix this issue with "general protection" at all.

Reverting changes back to gcc-7.3.0-r3 and rebuilding just libtool fix this problem, so this might be gcc related instead of sandbox?

Portage 2.3.51 (python 3.6.5-final-0, default/linux/amd64/17.1, gcc-7.3.0, glibc-2.27-r6, 4.14.83-gentoo x86_64)
=================================================================
System uname: Linux-4.14.83-gentoo-x86_64-Intel-R-_Core-TM-_i7-6700_CPU_@_3.40GHz-with-gentoo-2.6
KiB Mem:    65647136 total,  19155900 free
KiB Swap:    4194296 total,   4194296 free
Timestamp of repository gentoo: Mon, 25 Feb 2019 20:15:01 +0000
Head commit of repository gentoo: a14d1f6bbf4700f6d40c06abaf01308928ddfd5c
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.30 p5) 2.30.0
app-shells/bash:          4.4_p23-r1::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.38.3-r1::gentoo
sys-apps/sandbox:         2.15::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.30-r4::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo, 8.2.0-r6::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.14-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:
gentoo
location: /usr/portage
sync-type: rsync
sync-uri: rsync://mirror.hetzner.de/gentoo/portage
priority: -1000
sync-rsync-verify-max-age: 24
sync-rsync-verify-jobs: 1
sync-rsync-extra-opts:
sync-rsync-verify-metamanifest: no
local
location: /usr/local/portage
masters: gentoo
priority: 0
Installed sets: @nginx-lua-mysql, @nginx-minify
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=skylake -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=skylake -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 9 --load-average 7.2"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=skylake -O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-march=skylake -O2 -pipe"
GENTOO_MIRRORS="http://mirror.hetzner.de/gentoo/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTf-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_US"
MAKEOPTS="-j9"
PKGDIR="/usr/local/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 bzip2 cli crypt cxx dnotify dri fortran gdbm glib iconv icu inotify ipv6 libnotify libtirpc multilib ncurses nptl openmp pam pcre readline seccomp ssl tcpd threads unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="dummy" KERNEL="linux" L10N="de en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" NGINX_MODULES_HTTP="access addition auth_basic auth_pam autoindex browser cache_purge charset degradation echo empty_gif fancyindex fastcgi geo geoip gzip gzip_static headers_more image_filter limit_conn limit_req lua map memcached perl proxy realip referer rewrite split_clients ssi sub upstream_ip_hash upstream_check upstream_hash upstream_ip_hash upstream_keepalive upstream_least_conn upstream_zone userid uwsgi" NGINX_MODULES_STREAM="access limit_conn" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python3_6" QEMU_SOFTMMU_TARGETS="x86_64" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="dummy" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 Sergei Trofimovich gentoo-dev 2019-02-26 07:10:55 UTC
(In reply to am1 from comment #5)
> Hey, i'm not sure if this is the right place for reporting this.
> 
> =sys-devel/gcc-8.2.0-r6 should not be marked as stable on amd64.
> 
> After migrating from gcc-7.3.0-r3 to gcc-8.2.0-r6 and rebuilding libtool,
> @system and @world, my 3rd-party service can't be launched anymore.
> 
> Feb 24 20:41:14 localhost kernel: traps: hlds_linux[6596] general protection
> ip:f7c825ba sp:ffbe8afc error:0 in libc-2.27.so[f7bcb000+1de000]

Please file a new bug.
Comment 7 Sergei Trofimovich gentoo-dev 2019-02-28 07:40:58 UTC
ppc/ppc64 stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-28 15:32:30 UTC
arm stable
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-05 18:06:25 UTC
sh stable
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-05 18:06:50 UTC
m68k stable
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-05 18:07:11 UTC
s390 stable
Comment 12 Sergei Trofimovich gentoo-dev 2019-03-11 22:47:59 UTC
hppa stable
Comment 13 Matt Turner gentoo-dev 2019-03-17 06:19:00 UTC
alpha stable
Comment 14 Sergei Trofimovich gentoo-dev 2019-03-17 23:16:28 UTC
ia64 stable
Comment 15 Mart Raudsepp gentoo-dev 2019-04-09 13:33:44 UTC
arm64 stable, closing